IntelliPhoto 0.5

Public Member Functions | Protected Member Functions | List of all members
IntelliPhotoGui Class Reference

The IntelliPhotoGui class handles the graphical user interface for the intelliPhoto program. More...

`#include <IntelliPhotoGui.h>`

Inheritance diagram for IntelliPhotoGui:

## Public Member Functions
| IntelliPhotoGui ()
| The IntelliPhotoGui method is the constructor and is used to create a new instance of the main program window. More...
void | UpdateGui ()

## Protected Member Functions
void | closeEvent (QCloseEvent *event) override

## Detailed Description

The IntelliPhotoGui class handles the graphical user interface for the intelliPhoto program.

Definition at line 24 of file IntelliPhotoGui.h.

## Constructor & Destructor Documentation

## ◆ IntelliPhotoGui()

IntelliPhotoGui::IntelliPhotoGui | ( |  | ) |

The IntelliPhotoGui method is the constructor and is used to create a new instance of the main program window.

Definition at line 7 of file IntelliPhotoGui.cpp.

## Member Function Documentation

## ◆ closeEvent()

void IntelliPhotoGui::closeEvent | ( | QCloseEvent * | event | ) |
| override protected

Definition at line 23 of file IntelliPhotoGui.cpp.

## ◆ UpdateGui()

void IntelliPhotoGui::UpdateGui | ( |  | ) |

Definition at line 694 of file IntelliPhotoGui.cpp.

The documentation for this class was generated from the following files:

- intelliphoto/src/GUI/IntelliPhotoGui.h
- intelliphoto/src/GUI/IntelliPhotoGui.cpp